Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List Multi-Regions

GET
/topology/v1/engines/{engine}/multi-regions
curl --request GET \
--url https://example.com/topology/v1/engines/example/multi-regions

Returns a paginated list of multi-regions for a provider.

engine
required
string

The cloud provider to list, or - for all providers

page_size
integer format: int32

The maximum number of multi-regions to return. The service may return fewer than this value. If unspecified, at most 20 multi-regions will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string

A page token from a previous ListMultiRegions call.

filter
string

An AIP-160 filter expression.

order_by
string

An AIP-132 ordering expression.

OK

Media type application/json

ListMultiRegionsResponse

Response message for ListMultiRegions.

object
multi_regions

The list of multi-regions

Array<object>

Multi-Region

An administrator-defined grouping over zero or more regions. A region belongs to at most one multi-region. An empty multi-region (zero members) is valid.

object
id

The unique identifier of the multi-region

stringOutput only
name
required

The DNS-label handle of the multi-region (create input)

string
display_name
required

A human-readable label for the multi-region

string
description

An optional description of the multi-region

string
status

The usability status of the multi-region

string format: enum Output only
Allowed values: LOCATION_STATUS_UNSPECIFIED LOCATION_STATUS_PENDING_FOR_APPROVAL LOCATION_STATUS_ACTIVE LOCATION_STATUS_DISABLED
engine

The cloud provider that backs the multi-region

string format: enum Output only
Allowed values: ENGINE_UNSPECIFIED ENGINE_QIBDO ENGINE_AWS ENGINE_GCP ENGINE_AZURE
region_ids

The member regions of this multi-region (zero or more weak references)

Array<string>
created

The timestamp when the multi-region was created

string format: date-time Output only
updated

The timestamp when the multi-region was last updated

string format: date-time Output only
next_page_token

A token to retrieve the next page, or empty if there are no further pages.

string
Example
{
"multi_regions": [
{
"status": "LOCATION_STATUS_UNSPECIFIED",
"engine": "ENGINE_UNSPECIFIED"
}
]
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}